package com.xjrsoft.module.attendance.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 考勤统计分页查询入参
* @Author dzx
* @Date: 2024-10-19
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AttendanceStatisticsPageDto extends PageInput {

    @ApiModelProperty("统计名称")
    private String name;

    @ApiModelProperty("统计年份")
    private Integer year;

    @ApiModelProperty("统计月份")
    private Integer month;

    @ApiModelProperty("状态(0:数据统计中 1:统计完成 2:已解锁 3:已锁定)")
    private Integer status;
}
