package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 考勤统计-教师详情表单出参
* @Author dzx
* @Date: 2024-10-19
* @Version 1.0
*/
@Data
public class AttendanceStatisticsRecordVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 课时统计(attendance_statistics)
    */
    @ApiModelProperty("课时统计(attendance_statistics)")
    private Long attendanceStatisticsId;
    /**
    * 教师id(xjr_user)
    */
    @ApiModelProperty("教师id(xjr_user)")
    private Long userId;
    /**
    * 正常考勤次数
    */
    @ApiModelProperty("正常考勤次数")
    private Integer normalCount;
    /**
    * 请假次数
    */
    @ApiModelProperty("请假次数")
    private Integer leaveCount;
    /**
    * 旷工次数
    */
    @ApiModelProperty("旷工次数")
    private Integer absenteeCount;
    /**
    * 所在部门(存在多个，用“,”隔开)
    */
    @ApiModelProperty("所在部门(存在多个，用“,”隔开)")
    private String deptIds;
    /**
    * 每天数据
    */
    @ApiModelProperty("每天数据")
    private String daysData;

    @ApiModelProperty("工号")
    private String userName;

    @ApiModelProperty("部门成")
    private String deptName;

    @ApiModelProperty("姓名")
    private String name;



}
