package com.xjrsoft.module.courseTable.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;


/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class ClassTeacherDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private List<Long> classIds;

    @ApiModelProperty("开始日期")
    private LocalDate startDate;

    @ApiModelProperty("结束日期")
    private LocalDate endDate;
}
