package com.xjrsoft.module.student.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class StudentConsumeDateExcelImportDto {
    /**
     * 学生学号
     */
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String studentUserName;
    /**
     * 消费时间
     */
    @ExcelProperty("消费时间")
    @ApiModelProperty("消费时间")
    private Date consumeTime;
    /**
     * 消费金额
     */
    @ExcelProperty("消费金额(元)")
    @ApiModelProperty("消费金额")
    private BigDecimal consumeMoney;
    /**
     * 消费类型
     */
    @ExcelProperty("消费类型")
    @ApiModelProperty("消费类型")
    private String consumeType;
}