package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.QuotaFormulaRulePageDto;
import com.xjrsoft.module.student.entity.QuotaFormulaRule;
import com.xjrsoft.module.student.vo.QuotaFormulaRulePageVo;

/**
* @title: 指标公式规则管理
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/

public interface IQuotaFormulaRuleService extends MPJBaseService<QuotaFormulaRule> {
    Page<QuotaFormulaRulePageVo> getPage(Page<QuotaFormulaRulePageDto> page, QuotaFormulaRulePageDto dto);


    /**
     * 根据绑定的指标查询公式
     * @param bindQuota
     * @return
     */
    String getFormulaByQuota(String bindQuota);
}
