package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 学生消费数据导入学上信息出参
* @Author szs
* @Date: 2023-12-28
* @Version 1.0
*/
@Data
public class StuConsumeImportStuInfoVo {

    /**
     * 班级主键id
     */
    @ApiModelProperty("班级主键id")
    private Long classId;
    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String className;
    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    private Long studentId;
    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String studentName;
    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    private String studentUserName;
    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
     * 年级id
     */
    @ApiModelProperty("年级id")
    private String gradeId;
    /**
     * 专业名称
     */
    @ApiModelProperty("专业名称")
    private String majorName;
    /**
     * 专业id
     */
    @ApiModelProperty("专业id")
    private String majorId;

}
