package com.xjrsoft.module.evaluate.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.evaluate.dto.SaveEvaluateObjectDto;
import com.xjrsoft.module.evaluate.entity.EvaluateExecuter;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @title: 评价执行人
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Mapper
public interface EvaluateExecuterMapper extends MPJBaseMapper<EvaluateExecuter> {

    @Delete("DELETE FROM evaluate_executer WHERE evaluate_object_id IN (" +
            " SELECT id FROM evaluate_object WHERE evaluate_manage_id = #{dto.evaluateManageId} and base_grade_id = #{dto.gradeId} )")
    Boolean deleteByEvaluateManageId(@Param("dto") SaveEvaluateObjectDto dto);

}
