package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 评价项表单出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class EvaluateManageBodyVo {

    /**
     * 评价模板主键编号
     */
    @ApiModelProperty("评价计划主键编号")
    private Long id;
    /**
     * 模板名称
     */
    @ApiModelProperty("计划名称")
    private String name;
    /**
     * 评价类型
     */
    @ApiModelProperty("模板名称")
    private String templateName;
    /**
     * 使用部门ids
     */
    @ApiModelProperty("使用部门ids")
    private String deptIds;
    /**
     * 使用部门ids
     */
    @ApiModelProperty("使用部门ids")
    private String deptIdsCN;
    /**
     * 评价总分
     */
    @ApiModelProperty("评价总分")
    private Integer total;
    /**
     * 说明
     */
    @ApiModelProperty("说明")
    private String remark;

    @ApiModelProperty("学期名称")
    private String semesterName;

    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("年份")
    private Integer year;

    @ApiModelProperty("月份")
    private Integer month;

    /**
     * 评价项表单根据标题名称分组出参集合
     */
    @ApiModelProperty("评价项表单根据标题名称分组出参集合")
    private List<EvaluateItemGroupByTopicVo> evaluateItemGroupByTopicVoList;

}
